For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all strategies
      • POSTCreate a strategy
      • GETGet a strategy definition
      • PUTUpdate a strategy type
      • DELDelete a strategy
      • POSTDeprecate a strategy
      • POSTReactivate a strategy
      • GETGet strategies that use a context field
      • GET[BETA] Get strategies that use a context field
      • POSTUpdate strategy segments

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIStrategies

Update strategy segments

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/segments/strategies
POST
/api/admin/segments/strategies
$curl -X POST https://app.unleash-instance.example.com/api/admin/segments/strategies \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectId": "red-vista",
> "strategyId": "15d1e20b-6310-4e17-a0c2-9fb84de3053a",
> "environmentId": "development",
> "segmentIds": [
> 1,
> 5,
> 6
> ]
>}'
1{
2 "projectId": "red-vista",
3 "strategyId": "15d1e20b-6310-4e17-a0c2-9fb84de3053a",
4 "environmentId": "development",
5 "segmentIds": [
6 1,
7 5,
8 6
9 ]
10}
Sets the segments of the strategy specified to be exactly the ones passed in the payload. Any segments that were used by the strategy before will be removed if they are not in the provided list of segments.
Was this page helpful?
Previous

List all tags.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

updateFeatureStrategySegmentsSchema
projectIdstringRequired
The ID of the project that the strategy belongs to.
strategyIdstringRequired
The ID of the strategy to update segments for.
environmentIdstringRequired
The ID of the strategy environment.
segmentIdslist of integersRequired

The new list of segments (IDs) to use for this strategy. Any segments not in this list will be removed from the strategy.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
projectIdstring
The ID of the project that the strategy belongs to.
strategyIdstring
The ID of the strategy to update segments for.
environmentIdstring
The ID of the strategy environment.
segmentIdslist of integers

The new list of segments (IDs) to use for this strategy. Any segments not in this list will be removed from the strategy.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error